/**
 * @(#)             Gr graphing application
 * @author          John Donovan
 *                  U.S. Geological Survey, Water Resources Division
 * @version         2001-02-01
 * Date started:    2000-10-30
 *
 * Copyright (C) 1998-2008 John M. Donovan
 * See the file Gr.java in the package gov.usgs.gr for licensing and
 * warranty information.  Also see license.txt in the package gov.usgs.
 */

package gov.usgs.gr.visual.ps;

/**
 * An interface that identifies GraphicalElements which can draw to a
 * PostScript file.
 */
public interface PsElement {
	/* Sets the file to use for writing drawing commands. */
    public void setPsFile(java.io.PrintWriter pw);
	/* Issue the PostScript commands to draw this object. */
    public void drawPS();
}
