package gov.usgs.gr;

import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;
import org.xml.sax.Attributes;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;

public class TestSax  extends org.xml.sax.helpers.DefaultHandler {
    
    public TestSax() {
    }
        
    public void characters(char buf [], int offset, int len)
    throws SAXException {
        
        System.out.print("\n--- Start char buffer ---\n");
        int i = offset;
        while (i < (offset + len)) {
            System.out.print(buf[i]);
            i++;
        }
        System.out.print("\n--- Start char buffer ---\n");
    }
    
    static public void main(String args[]) {
        
        SAXParserFactory factory = SAXParserFactory.newInstance();
        try {
            SAXParser saxParser = factory.newSAXParser();
            saxParser.parse(new InputSource(new FileReader(
                "C:\\test.xml"))
                , new TestSax());
        } catch (FileNotFoundException ex) {
            ex.printStackTrace();
        } catch (ParserConfigurationException ex) {
            ex.printStackTrace();
        } catch (SAXException ex) {
            ex.printStackTrace();
        } catch (IOException ex) {
            ex.printStackTrace();
        }
        
    }
    
}
