/**
 * @(#)             Gr graphing application
 * @author          John Donovan
 *                  U.S. Geological Survey, Water Resources Division
 * @version         2002-10-17
 * Date started:    1999-05-03
 *
 * Copyright (C) 1998-2008 John M. Donovan
 * See the file Gr.java in the package gov.usgs.gr for licensing and
 * warranty information.  Also see license.txt in the package gov.usgs.
 */

package gov.usgs.gr.tools;

import java.util.*;

//==============================================================================
/**
 * An interface for tools that manipulate data series.
 */
public interface DataManipulator  {

    public void performAction(List dataList);
}

