/**
 * @(#)             Gr graphing application
 * @author          John Donovan
 *                  U.S. Geological Survey, Water Resources Division
 * @version         2001-02-01
 * Date started:    2000-08-15
 *
 * Copyright (C) 1998-2008 John M. Donovan
 * See the file Gr.java in the package gov.usgs.gr for licensing and
 * warranty information.  Also see license.txt in the package gov.usgs.
 */

package gov.usgs.gr.visual.gl;

import javax.media.opengl.*;
import javax.media.opengl.glu.*;

/**
 * An interface that identifies GraphicalElements which can draw to an
 * OpenGL context.
 */
public interface GlElement {
	/* Sets the OpenGL object to use for accessing drawing commands. */
    public void setOpenGL(GLAutoDrawable newgld, GL newgl, GLU newglu);
	/* Issue the OpenGL commands to draw this element. */
    public void drawGL();
}
