/**
 * @(#)             Gr graphing application
 * @author          John Donovan
 *                  U.S. Geological Survey, Water Resources Division
 * @version         2003-07-16
 * Date started:    2003-07-16
 *
 * Copyright (C) 1998-2008 John M. Donovan
 * See the file Gr.java in the package gov.usgs.gr for licensing and
 * warranty information.  Also see license.txt in the package gov.usgs.
 */

package gov.usgs.gr.visual.gui;

import gov.usgs.gr.*;
import gov.usgs.gr.visual.*;

//==============================================================================
/**
 * An interface for providing a mouse handler for dealing with mouse events
 * for the content in the current page being shown to the user in Gr.
 */
public interface GrMouseHandler extends java.awt.event.MouseListener,
    java.awt.event.MouseMotionListener {

    /**
     * Tells this interface what the current controller and page are.
     */
    public void setControllerAndPage(GrController grCon, PageOfGraphs page);
}




