/**
 * @(#)             Gr graphing application
 * @author          John Donovan
 *                  U.S. Geological Survey, Water Resources Division
 * @version         2000-10-30
 * Date started:    2000-08-15
 *
 * Copyright (C) 1998-2008 John M. Donovan
 * See the file Gr.java in the package gov.usgs.gr for licensing and
 * warranty information.  Also see license.txt in the package gov.usgs.
 */

package gov.usgs.gr.visual.j2d;

/**
 * An interface that identifies GraphicalElements which can draw to
 * Java2D.
 */
public interface J2dElement {
	/* Sets the Java2D object to use for accessing drawing commands. */
    public void setGraphics2D(java.awt.Graphics2D g);
	/* Issue the Java2D commands to draw this object. */
    public void drawJ2d();
}
