/**
 * @(#)             Gr graphing application
 * @author          Aaron R. Blake
 *                  John M. Donovan
 *                  U.S. Geological Survey, Water Resources Division
 * @version         2005-11-04
 * Date started:    2003-06-27
 *
 * Copyright (C) 1998-2008 John M. Donovan
 * See the file Gr.java in the package gov.usgs.gr for licensing and
 * warranty information.  Also see license.txt in the package gov.usgs.
 */

package gov.usgs.sfhydro.si3d;

import gov.usgs.gr.*;
import gov.usgs.gr.data.*;
import gov.usgs.gr.tools.*;
import gov.usgs.gr.visual.*;
import gov.usgs.gr.visual.gl.*;
import java.io.*;
import java.util.*;
import javax.swing.*;

//==============================================================================
/**
 * Calculates the path that a particle would take through a time-variable
 * velocity field.
 */

public class FishPathCalculator extends ParticlePathCalculator {


//------------------------------------------------------------------------------
/**
 * Creates an empty object.
 */
    public FishPathCalculator () {

        super();
    }

//------------------------------------------------------------------------------
/**
 * Create a string representation of this object.
 * @return  The string that describes this object.
 */
    public String toString() {

    	String s = "Fish Tracker";

        return s;
 	}
}

